package com.diagbot.mapper;

import com.diagbot.dto.GraphDTO;
import com.diagbot.dto.NodeDTO;
import com.diagbot.vo.KgQueryVO;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author gaodm
 * @since 2018-08-02
 */
public interface KgMapper {

    List<NodeDTO> getNode(KgQueryVO kgQueryVO);

    List<GraphDTO> getGraph(KgQueryVO kgQueryVO);

    List<Map> getTree();

    List<Map> getSchema();
}
